%define python_site	%(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages')"`)
%define python_include	%(echo `python -c "import sys; print (sys.prefix + '/include/python' + sys.version[:3])"`)

Summary: Python bindings generator for C++ class libraries.
Name: sip
Version: 3.5
Release: alt2
Copyright: GPL
Group: Development/Python
Source: http://www.riverbankcomputing.co.uk/download/sip/%name-x11-gpl-%version.tar.gz
Source1: sip-doc.tar.bz2
URL: http://www.riverbankcomputing.co.uk/sip/

# Automatically added by buildreq on Mon Dec 09 2002
BuildRequires: XFree86-devel gcc-c++ libqt3-devel libstdc++-devel objprelink python-devel

%description
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a Python extension module needed by all
generated bindings.

%package devel
Requires: sip = %version-%release
Summary:  Header files for sip
Group: Development/Python

%description devel
Header files for sip

%package doc
Requires: sip = %version-%release
Summary:  Documentation  for sip
Group: Development/Python

%description doc
Some incomplete documentation for sip I've found in internet. It's better then nothing :)


%prep
%setup -n %name-x11-gpl-%version
tar xvjf %SOURCE1

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{python_site} 
mkdir -p $RPM_BUILD_ROOT%_bindir 

echo 'yes' | python build.py -q /usr/lib/qt3 -l qt-mt -b $RPM_BUILD_ROOT%_bindir -d $RPM_BUILD_ROOT%{python_site}
make

%install
echo -e "\$d\nd\nw\nq\n" | ed siplib/Makefile
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{python_include}
install siplib/sipQt.h $RPM_BUILD_ROOT%{python_include}
install siplib/sip.h $RPM_BUILD_ROOT%{python_include}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/sip
%{python_site}/*
%doc README ChangeLog NEWS LICENSE

%files devel
%{python_include}/sip.h
%{python_include}/sipQt.h

%files doc
%doc sip-doc/*

%changelog
* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- Increase release for upgrade

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- new release
- correct version

* Fri Dec 06 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- some documentation added in separate package

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release 

* Fri Aug 02 2002 Serge Sergeev <sergeyssv@mail.ru> 3.3-alt1
- Clean up spec file

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- some fixes
* Thu Jun 06  2002 <sergeyssv@mail.ru>
- Initial release

